Subject: bug#15620: guile 2.0.9 make check error, in bit-operations.test, elisp-compiler.test and eval-string.test

From: Ian Price <[email-masked]>
Date: Thu, 24 Oct 2013 05:20:55 +0100

"" <[email-masked]> writes:

> Thanks, Ian.
>  
> For me compiling guile is just to satisfy a dependency of another
> software. I am really not 
> familiar with guile. 
>  
>>(use-modules (ice-9 documentation))
>>(object-documentation extract)
> Do you mean a file in the compiling-folder/module/ice-9? I have no
> idea which one will be. 
> All files in such folder are compressed and attached. Also attached is
> install script and logs.

I mean, run guile, and enter those two forms at the prompt, followed by
return. Since this is the code in the test that gives an error, you
should hopefully get an error here too. Then you can use the command ,bt
to get a backtrace.

-- 
Ian Price -- shift-reset.com

"Programming is like pinball. The reward for doing it well is
the opportunity to do it again" - from "The Wizardy Compiled"